Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I recently installed Debian Lenny on a VM and ran all apt-get updates which also upgraded Grub to version 2.

I followed all the instructions (as best as I could) and everything works fine except it now shows 2 boot items. The first 1 goes to a initramfs command line after it says it couldn't find a bootable volume. The second is the correct one.

How do I fully remove the 1st boot item and change the boot order to the second?

share|improve this question
    
On a side note what actually happened was my mistake. Some tutorials I was looking at included "sid" and not "lenny" as a source list entry. Hence Grub 2 was installed. I think I'll wait for the stable release :) –  EddyR Nov 4 '10 at 6:38

2 Answers 2

up vote 0 down vote accepted

There is a file called menu.lst in /boot/grub.

It holds the boot entries, if you only want changes the order of the options it's pretty self explanatory.

Also you want to make that the migration to grub2 is complete, debian does this in two steps, so you can confirm it works as planned. To complete the upgrade run upgrade-from-grub-legacy

share|improve this answer
    
yep, I did all that already. It says it keeps detecting files vmlinux-2.6.26-5-amd64, initrd.img-2.6.32-5-amd64 and vmlinux-2.6.26-2-amd64, initrd.img-2.6.32-2-amd64. I think the first 2 shouldn't be there and that that's why it keeps listing 2 OS. Can I move these? –  EddyR Nov 3 '10 at 9:02
    
You can move them and run update-grub. It will not detect the moved files. You're mentioning incongruent files, is this a typo? If not something's wrong. You should have a combo of vmlinux-x-y-amd64 and initrd.img-x-y-amd64. You can also set default 1 in menu.lst and then run update-grub –  Jasper Nov 3 '10 at 13:03

1st you need install this .dep it will work

sudo aptitude search startupmanager

sudo aptitude install startupmanager

:D

share|improve this answer
    
FYI, aptitude search doesn't require root/sudo to run. –  Christopher Cashell Nov 3 '10 at 15:39

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.